// Learn TypeScript:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.TiledMap)
    tm: cc.TiledMap = null;

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () 
    {
        let layer = this.tm.getLayer('bg')
        let size = this.tm.getMapSize()
        for (let i = 0; i < size.width; i++) {
            for (let j = 0; j < size.height; j++) {
                let tile = layer.getTiledTileAt(i,j,false)
                console.log(tile)
            }
        }
    }

    // update (dt) {}
}
